Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000174Rosetta[All Projects] Bad Codingpublic2013-02-21 08:522013-03-25 09:27
Reportersmlewis 
Assigned To 
PrioritylowSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformAll platformsOSAnyOS VersionAny
Product VersionTrunk 
Fixed in Version 
Summary0000174: 4FXN is a strange (bad?) choice for use in tests
Description4FXN is used in many integration tests:

9:51:15 somarriba ~/LOCAL/super_pure_dont_change/rosetta_tests/integration> find . -name "*4fxn*" | grep -v ".svn"
./tests/loop_modeling/inputs/4fxn.start_0001.pdb
./tests/loop_modeling/inputs/cc4fxn_03_05.200_v1_3.gz
./tests/loop_modeling/inputs/4fxn.loop_file
./tests/loop_modeling/inputs/cc4fxn_09_05.200_v1_3.gz
./tests/torsion_restricted_sampling/input/4fxn.start.pdb
./tests/torsion_restricted_sampling/input/4fxn.loop
./tests/KIC_refine/input/4fxn.start.pdb
./tests/KIC_refine/input/4fxn.loop
./tests/next_generation_KIC/input/4fxn.start.pdb
./tests/next_generation_KIC/input/4fxn.loop
./tests/kinematic_looprelax/input/4fxn.start.pdb
./tests/kinematic_looprelax/input/4fxn.loop
./tests/rosetta_scripts_loops/4fxn.loop_file
./new/loop_modeling/inputs/4fxn.start_0001.pdb
./new/loop_modeling/inputs/cc4fxn_03_05.200_v1_3.gz
./new/loop_modeling/inputs/4fxn.loop_file
./new/loop_modeling/inputs/cc4fxn_09_05.200_v1_3.gz

but, the PDB says it's obsolete (as of 1997!):

http://pdb.rcsb.org/pdb/explore/obsolete.do?obsoleteId=4FXN [^]

reports:
4FXN was obsoleted on 1997-03-12 and superseded by 2FOX
TagsNo tags attached.
Application(s) Affectedintegration tests
Command Line UsedN/A
Developer Options
Fixed in SVN Version
Attached Files

- Relationships

-  Notes
(0000214)
smlewis (Administrator)
2013-03-25 09:27

Also, for the loop_modeling itest (that's the CCD test), the first loop chosen (LOOP 54 64 0 0.0 X) is directly adjacent to an FMN that's missing in the input and ignored by Rosetta.

- Issue History
Date Modified Username Field Change
2013-02-21 08:52 smlewis New Issue
2013-03-25 09:27 smlewis Note Added: 0000214


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker